Bug 463441 - openmpi-libs update error
openmpi-libs update error
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openmpi (Show other bugs)
4.7
All Linux
urgent Severity high
: rc
: ---
Assigned To: Doug Ledford
Martin Jenner
: ZStream
Depends On: 461110
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-23 10:41 EDT by RHEL Product and Program Management
Modified: 2008-10-06 04:19 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-06 04:19:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2008-09-23 10:41:37 EDT
This bug has been copied from bug #461110 and has been proposed
to be backported to 4.7 z-stream (EUS).
Comment 4 Gurhan Ozen 2008-09-24 15:01:24 EDT
Will change the status of this bug to verified, however note that, due to the issue with the existing packages' scriptlets, some non-fatal error messages such as:

Preparing...                ########################################### [100%]
   1:openmpi-libs           ########################################### [  8%]
   2:openmpi                ########################################### [ 17%]
   3:openmpi-devel          ########################################### [ 25%]
   4:openmpi11              ########################################### [ 33%]
   5:openmpi-debuginfo      ########################################### [ 42%]
   6:openmpi11-debuginfo    ########################################### [ 50%]
   7:openmpi-libs           ########################################### [ 58%]
   8:openmpi11              ########################################### [ 67%]
   9:openmpi11-debuginfo    ########################################### [ 75%]
  10:openmpi                ########################################### [ 83%]
  11:openmpi-debuginfo      ########################################### [ 92%]
  12:openmpi-devel          ########################################### [100%]
/var/tmp/rpm-tmp.12027: line 25: [: 7820VERSION: integer expression expected
/var/tmp/rpm-tmp.12027: line 25: [: 7820VERSION: integer expression expected
/var/tmp/rpm-tmp.12027: line 25: [: 7820VERSION: integer expression expected
head: cannot open `/tmp/openmpi-upgrade-version.*' for reading: No such file or directory
/var/tmp/rpm-tmp.12027: line 25: [: 7834VERSION: integer expression expected
rm: cannot remove `/tmp/openmpi-upgrade-version.*': No such file or directory


Can be seen. These errors don't prevent upgrading and has got nothing to do with the new packages. 

You wouldn't see these errors if it was a clean install, only happens during upgrades.
Comment 6 errata-xmlrpc 2008-10-06 04:19:31 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0925.html

Note You need to log in before you can comment on or make changes to this bug.